#pragma once

#include <maps/wikimap/mapspro/services/mrc/eye/lib/common/include/metadata.h>

namespace maps::mrc::eye {

class ImportMrcMetadataManager: public MetadataManager {
public:
    ImportMrcMetadataManager(pqxx::transaction_base& txn);

    void updateFeatureId(db::TId featureId);

    db::TId getFeatureId();

private:
    std::string featureIdKey() const;
};

inline ImportMrcMetadataManager importMrcMetadata(pqxx::transaction_base& txn) { return {txn}; }

} // namespace maps::mrc::eye
